Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network10.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
10.0.0.0
Broadcast address
11.255.255.255
First usable
10.0.0.1
Last usable
11.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 0A000000 · Integer 167772160 to 201326591
Reverse DNS zones
10.in-addr.arpa
11.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00001010.00000000.00000000.0000000010.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network00001010.00000000.00000000.0000000010.0.0.0
Broadcast00001011.11111111.11111111.1111111111.255.255.255
Split into smaller subnets/17

10.0.0.0/7 makes 1,024 subnets of /17; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
110.0.0.0/1710.0.0.1 to 10.0.127.25410.0.127.25532,766
210.0.128.0/1710.0.128.1 to 10.0.255.25410.0.255.25532,766
310.1.0.0/1710.1.0.1 to 10.1.127.25410.1.127.25532,766
410.1.128.0/1710.1.128.1 to 10.1.255.25410.1.255.25532,766
510.2.0.0/1710.2.0.1 to 10.2.127.25410.2.127.25532,766
610.2.128.0/1710.2.128.1 to 10.2.255.25410.2.255.25532,766
710.3.0.0/1710.3.0.1 to 10.3.127.25410.3.127.25532,766
810.3.128.0/1710.3.128.1 to 10.3.255.25410.3.255.25532,766
910.4.0.0/1710.4.0.1 to 10.4.127.25410.4.127.25532,766
1010.4.128.0/1710.4.128.1 to 10.4.255.25410.4.255.25532,766
1110.5.0.0/1710.5.0.1 to 10.5.127.25410.5.127.25532,766
1210.5.128.0/1710.5.128.1 to 10.5.255.25410.5.255.25532,766
1310.6.0.0/1710.6.0.1 to 10.6.127.25410.6.127.25532,766
1410.6.128.0/1710.6.128.1 to 10.6.255.25410.6.255.25532,766
1510.7.0.0/1710.7.0.1 to 10.7.127.25410.7.127.25532,766
1610.7.128.0/1710.7.128.1 to 10.7.255.25410.7.255.25532,766
1710.8.0.0/1710.8.0.1 to 10.8.127.25410.8.127.25532,766
1810.8.128.0/1710.8.128.1 to 10.8.255.25410.8.255.25532,766
1910.9.0.0/1710.9.0.1 to 10.9.127.25410.9.127.25532,766
2010.9.128.0/1710.9.128.1 to 10.9.255.25410.9.255.25532,766
2110.10.0.0/1710.10.0.1 to 10.10.127.25410.10.127.25532,766
2210.10.128.0/1710.10.128.1 to 10.10.255.25410.10.255.25532,766
2310.11.0.0/1710.11.0.1 to 10.11.127.25410.11.127.25532,766
2410.11.128.0/1710.11.128.1 to 10.11.255.25410.11.255.25532,766
2510.12.0.0/1710.12.0.1 to 10.12.127.25410.12.127.25532,766
2610.12.128.0/1710.12.128.1 to 10.12.255.25410.12.255.25532,766
2710.13.0.0/1710.13.0.1 to 10.13.127.25410.13.127.25532,766
2810.13.128.0/1710.13.128.1 to 10.13.255.25410.13.255.25532,766
2910.14.0.0/1710.14.0.1 to 10.14.127.25410.14.127.25532,766
3010.14.128.0/1710.14.128.1 to 10.14.255.25410.14.255.25532,766
3110.15.0.0/1710.15.0.1 to 10.15.127.25410.15.127.25532,766
3210.15.128.0/1710.15.128.1 to 10.15.255.25410.15.255.25532,766
3310.16.0.0/1710.16.0.1 to 10.16.127.25410.16.127.25532,766
3410.16.128.0/1710.16.128.1 to 10.16.255.25410.16.255.25532,766
3510.17.0.0/1710.17.0.1 to 10.17.127.25410.17.127.25532,766
3610.17.128.0/1710.17.128.1 to 10.17.255.25410.17.255.25532,766
3710.18.0.0/1710.18.0.1 to 10.18.127.25410.18.127.25532,766
3810.18.128.0/1710.18.128.1 to 10.18.255.25410.18.255.25532,766
3910.19.0.0/1710.19.0.1 to 10.19.127.25410.19.127.25532,766
4010.19.128.0/1710.19.128.1 to 10.19.255.25410.19.255.25532,766
4110.20.0.0/1710.20.0.1 to 10.20.127.25410.20.127.25532,766
4210.20.128.0/1710.20.128.1 to 10.20.255.25410.20.255.25532,766
4310.21.0.0/1710.21.0.1 to 10.21.127.25410.21.127.25532,766
4410.21.128.0/1710.21.128.1 to 10.21.255.25410.21.255.25532,766
4510.22.0.0/1710.22.0.1 to 10.22.127.25410.22.127.25532,766
4610.22.128.0/1710.22.128.1 to 10.22.255.25410.22.255.25532,766
4710.23.0.0/1710.23.0.1 to 10.23.127.25410.23.127.25532,766
4810.23.128.0/1710.23.128.1 to 10.23.255.25410.23.255.25532,766
4910.24.0.0/1710.24.0.1 to 10.24.127.25410.24.127.25532,766
5010.24.128.0/1710.24.128.1 to 10.24.255.25410.24.255.25532,766
5110.25.0.0/1710.25.0.1 to 10.25.127.25410.25.127.25532,766
5210.25.128.0/1710.25.128.1 to 10.25.255.25410.25.255.25532,766
5310.26.0.0/1710.26.0.1 to 10.26.127.25410.26.127.25532,766
5410.26.128.0/1710.26.128.1 to 10.26.255.25410.26.255.25532,766
5510.27.0.0/1710.27.0.1 to 10.27.127.25410.27.127.25532,766
5610.27.128.0/1710.27.128.1 to 10.27.255.25410.27.255.25532,766
5710.28.0.0/1710.28.0.1 to 10.28.127.25410.28.127.25532,766
5810.28.128.0/1710.28.128.1 to 10.28.255.25410.28.255.25532,766
5910.29.0.0/1710.29.0.1 to 10.29.127.25410.29.127.25532,766
6010.29.128.0/1710.29.128.1 to 10.29.255.25410.29.255.25532,766
6110.30.0.0/1710.30.0.1 to 10.30.127.25410.30.127.25532,766
6210.30.128.0/1710.30.128.1 to 10.30.255.25410.30.255.25532,766
6310.31.0.0/1710.31.0.1 to 10.31.127.25410.31.127.25532,766
6410.31.128.0/1710.31.128.1 to 10.31.255.25410.31.255.25532,766
6510.32.0.0/1710.32.0.1 to 10.32.127.25410.32.127.25532,766
6610.32.128.0/1710.32.128.1 to 10.32.255.25410.32.255.25532,766
6710.33.0.0/1710.33.0.1 to 10.33.127.25410.33.127.25532,766
6810.33.128.0/1710.33.128.1 to 10.33.255.25410.33.255.25532,766
6910.34.0.0/1710.34.0.1 to 10.34.127.25410.34.127.25532,766
7010.34.128.0/1710.34.128.1 to 10.34.255.25410.34.255.25532,766
7110.35.0.0/1710.35.0.1 to 10.35.127.25410.35.127.25532,766
7210.35.128.0/1710.35.128.1 to 10.35.255.25410.35.255.25532,766
7310.36.0.0/1710.36.0.1 to 10.36.127.25410.36.127.25532,766
7410.36.128.0/1710.36.128.1 to 10.36.255.25410.36.255.25532,766
7510.37.0.0/1710.37.0.1 to 10.37.127.25410.37.127.25532,766
7610.37.128.0/1710.37.128.1 to 10.37.255.25410.37.255.25532,766
7710.38.0.0/1710.38.0.1 to 10.38.127.25410.38.127.25532,766
7810.38.128.0/1710.38.128.1 to 10.38.255.25410.38.255.25532,766
7910.39.0.0/1710.39.0.1 to 10.39.127.25410.39.127.25532,766
8010.39.128.0/1710.39.128.1 to 10.39.255.25410.39.255.25532,766
8110.40.0.0/1710.40.0.1 to 10.40.127.25410.40.127.25532,766
8210.40.128.0/1710.40.128.1 to 10.40.255.25410.40.255.25532,766
8310.41.0.0/1710.41.0.1 to 10.41.127.25410.41.127.25532,766
8410.41.128.0/1710.41.128.1 to 10.41.255.25410.41.255.25532,766
8510.42.0.0/1710.42.0.1 to 10.42.127.25410.42.127.25532,766
8610.42.128.0/1710.42.128.1 to 10.42.255.25410.42.255.25532,766
8710.43.0.0/1710.43.0.1 to 10.43.127.25410.43.127.25532,766
8810.43.128.0/1710.43.128.1 to 10.43.255.25410.43.255.25532,766
8910.44.0.0/1710.44.0.1 to 10.44.127.25410.44.127.25532,766
9010.44.128.0/1710.44.128.1 to 10.44.255.25410.44.255.25532,766
9110.45.0.0/1710.45.0.1 to 10.45.127.25410.45.127.25532,766
9210.45.128.0/1710.45.128.1 to 10.45.255.25410.45.255.25532,766
9310.46.0.0/1710.46.0.1 to 10.46.127.25410.46.127.25532,766
9410.46.128.0/1710.46.128.1 to 10.46.255.25410.46.255.25532,766
9510.47.0.0/1710.47.0.1 to 10.47.127.25410.47.127.25532,766
9610.47.128.0/1710.47.128.1 to 10.47.255.25410.47.255.25532,766
9710.48.0.0/1710.48.0.1 to 10.48.127.25410.48.127.25532,766
9810.48.128.0/1710.48.128.1 to 10.48.255.25410.48.255.25532,766
9910.49.0.0/1710.49.0.1 to 10.49.127.25410.49.127.25532,766
10010.49.128.0/1710.49.128.1 to 10.49.255.25410.49.255.25532,766
10110.50.0.0/1710.50.0.1 to 10.50.127.25410.50.127.25532,766
10210.50.128.0/1710.50.128.1 to 10.50.255.25410.50.255.25532,766
10310.51.0.0/1710.51.0.1 to 10.51.127.25410.51.127.25532,766
10410.51.128.0/1710.51.128.1 to 10.51.255.25410.51.255.25532,766
10510.52.0.0/1710.52.0.1 to 10.52.127.25410.52.127.25532,766
10610.52.128.0/1710.52.128.1 to 10.52.255.25410.52.255.25532,766
10710.53.0.0/1710.53.0.1 to 10.53.127.25410.53.127.25532,766
10810.53.128.0/1710.53.128.1 to 10.53.255.25410.53.255.25532,766
10910.54.0.0/1710.54.0.1 to 10.54.127.25410.54.127.25532,766
11010.54.128.0/1710.54.128.1 to 10.54.255.25410.54.255.25532,766
11110.55.0.0/1710.55.0.1 to 10.55.127.25410.55.127.25532,766
11210.55.128.0/1710.55.128.1 to 10.55.255.25410.55.255.25532,766
11310.56.0.0/1710.56.0.1 to 10.56.127.25410.56.127.25532,766
11410.56.128.0/1710.56.128.1 to 10.56.255.25410.56.255.25532,766
11510.57.0.0/1710.57.0.1 to 10.57.127.25410.57.127.25532,766
11610.57.128.0/1710.57.128.1 to 10.57.255.25410.57.255.25532,766
11710.58.0.0/1710.58.0.1 to 10.58.127.25410.58.127.25532,766
11810.58.128.0/1710.58.128.1 to 10.58.255.25410.58.255.25532,766
11910.59.0.0/1710.59.0.1 to 10.59.127.25410.59.127.25532,766
12010.59.128.0/1710.59.128.1 to 10.59.255.25410.59.255.25532,766
12110.60.0.0/1710.60.0.1 to 10.60.127.25410.60.127.25532,766
12210.60.128.0/1710.60.128.1 to 10.60.255.25410.60.255.25532,766
12310.61.0.0/1710.61.0.1 to 10.61.127.25410.61.127.25532,766
12410.61.128.0/1710.61.128.1 to 10.61.255.25410.61.255.25532,766
12510.62.0.0/1710.62.0.1 to 10.62.127.25410.62.127.25532,766
12610.62.128.0/1710.62.128.1 to 10.62.255.25410.62.255.25532,766
12710.63.0.0/1710.63.0.1 to 10.63.127.25410.63.127.25532,766
12810.63.128.0/1710.63.128.1 to 10.63.255.25410.63.255.25532,766
12910.64.0.0/1710.64.0.1 to 10.64.127.25410.64.127.25532,766
13010.64.128.0/1710.64.128.1 to 10.64.255.25410.64.255.25532,766
13110.65.0.0/1710.65.0.1 to 10.65.127.25410.65.127.25532,766
13210.65.128.0/1710.65.128.1 to 10.65.255.25410.65.255.25532,766
13310.66.0.0/1710.66.0.1 to 10.66.127.25410.66.127.25532,766
13410.66.128.0/1710.66.128.1 to 10.66.255.25410.66.255.25532,766
13510.67.0.0/1710.67.0.1 to 10.67.127.25410.67.127.25532,766
13610.67.128.0/1710.67.128.1 to 10.67.255.25410.67.255.25532,766
13710.68.0.0/1710.68.0.1 to 10.68.127.25410.68.127.25532,766
13810.68.128.0/1710.68.128.1 to 10.68.255.25410.68.255.25532,766
13910.69.0.0/1710.69.0.1 to 10.69.127.25410.69.127.25532,766
14010.69.128.0/1710.69.128.1 to 10.69.255.25410.69.255.25532,766
14110.70.0.0/1710.70.0.1 to 10.70.127.25410.70.127.25532,766
14210.70.128.0/1710.70.128.1 to 10.70.255.25410.70.255.25532,766
14310.71.0.0/1710.71.0.1 to 10.71.127.25410.71.127.25532,766
14410.71.128.0/1710.71.128.1 to 10.71.255.25410.71.255.25532,766
14510.72.0.0/1710.72.0.1 to 10.72.127.25410.72.127.25532,766
14610.72.128.0/1710.72.128.1 to 10.72.255.25410.72.255.25532,766
14710.73.0.0/1710.73.0.1 to 10.73.127.25410.73.127.25532,766
14810.73.128.0/1710.73.128.1 to 10.73.255.25410.73.255.25532,766
14910.74.0.0/1710.74.0.1 to 10.74.127.25410.74.127.25532,766
15010.74.128.0/1710.74.128.1 to 10.74.255.25410.74.255.25532,766
15110.75.0.0/1710.75.0.1 to 10.75.127.25410.75.127.25532,766
15210.75.128.0/1710.75.128.1 to 10.75.255.25410.75.255.25532,766
15310.76.0.0/1710.76.0.1 to 10.76.127.25410.76.127.25532,766
15410.76.128.0/1710.76.128.1 to 10.76.255.25410.76.255.25532,766
15510.77.0.0/1710.77.0.1 to 10.77.127.25410.77.127.25532,766
15610.77.128.0/1710.77.128.1 to 10.77.255.25410.77.255.25532,766
15710.78.0.0/1710.78.0.1 to 10.78.127.25410.78.127.25532,766
15810.78.128.0/1710.78.128.1 to 10.78.255.25410.78.255.25532,766
15910.79.0.0/1710.79.0.1 to 10.79.127.25410.79.127.25532,766
16010.79.128.0/1710.79.128.1 to 10.79.255.25410.79.255.25532,766
16110.80.0.0/1710.80.0.1 to 10.80.127.25410.80.127.25532,766
16210.80.128.0/1710.80.128.1 to 10.80.255.25410.80.255.25532,766
16310.81.0.0/1710.81.0.1 to 10.81.127.25410.81.127.25532,766
16410.81.128.0/1710.81.128.1 to 10.81.255.25410.81.255.25532,766
16510.82.0.0/1710.82.0.1 to 10.82.127.25410.82.127.25532,766
16610.82.128.0/1710.82.128.1 to 10.82.255.25410.82.255.25532,766
16710.83.0.0/1710.83.0.1 to 10.83.127.25410.83.127.25532,766
16810.83.128.0/1710.83.128.1 to 10.83.255.25410.83.255.25532,766
16910.84.0.0/1710.84.0.1 to 10.84.127.25410.84.127.25532,766
17010.84.128.0/1710.84.128.1 to 10.84.255.25410.84.255.25532,766
17110.85.0.0/1710.85.0.1 to 10.85.127.25410.85.127.25532,766
17210.85.128.0/1710.85.128.1 to 10.85.255.25410.85.255.25532,766
17310.86.0.0/1710.86.0.1 to 10.86.127.25410.86.127.25532,766
17410.86.128.0/1710.86.128.1 to 10.86.255.25410.86.255.25532,766
17510.87.0.0/1710.87.0.1 to 10.87.127.25410.87.127.25532,766
17610.87.128.0/1710.87.128.1 to 10.87.255.25410.87.255.25532,766
17710.88.0.0/1710.88.0.1 to 10.88.127.25410.88.127.25532,766
17810.88.128.0/1710.88.128.1 to 10.88.255.25410.88.255.25532,766
17910.89.0.0/1710.89.0.1 to 10.89.127.25410.89.127.25532,766
18010.89.128.0/1710.89.128.1 to 10.89.255.25410.89.255.25532,766
18110.90.0.0/1710.90.0.1 to 10.90.127.25410.90.127.25532,766
18210.90.128.0/1710.90.128.1 to 10.90.255.25410.90.255.25532,766
18310.91.0.0/1710.91.0.1 to 10.91.127.25410.91.127.25532,766
18410.91.128.0/1710.91.128.1 to 10.91.255.25410.91.255.25532,766
18510.92.0.0/1710.92.0.1 to 10.92.127.25410.92.127.25532,766
18610.92.128.0/1710.92.128.1 to 10.92.255.25410.92.255.25532,766
18710.93.0.0/1710.93.0.1 to 10.93.127.25410.93.127.25532,766
18810.93.128.0/1710.93.128.1 to 10.93.255.25410.93.255.25532,766
18910.94.0.0/1710.94.0.1 to 10.94.127.25410.94.127.25532,766
19010.94.128.0/1710.94.128.1 to 10.94.255.25410.94.255.25532,766
19110.95.0.0/1710.95.0.1 to 10.95.127.25410.95.127.25532,766
19210.95.128.0/1710.95.128.1 to 10.95.255.25410.95.255.25532,766
19310.96.0.0/1710.96.0.1 to 10.96.127.25410.96.127.25532,766
19410.96.128.0/1710.96.128.1 to 10.96.255.25410.96.255.25532,766
19510.97.0.0/1710.97.0.1 to 10.97.127.25410.97.127.25532,766
19610.97.128.0/1710.97.128.1 to 10.97.255.25410.97.255.25532,766
19710.98.0.0/1710.98.0.1 to 10.98.127.25410.98.127.25532,766
19810.98.128.0/1710.98.128.1 to 10.98.255.25410.98.255.25532,766
19910.99.0.0/1710.99.0.1 to 10.99.127.25410.99.127.25532,766
20010.99.128.0/1710.99.128.1 to 10.99.255.25410.99.255.25532,766
20110.100.0.0/1710.100.0.1 to 10.100.127.25410.100.127.25532,766
20210.100.128.0/1710.100.128.1 to 10.100.255.25410.100.255.25532,766
20310.101.0.0/1710.101.0.1 to 10.101.127.25410.101.127.25532,766
20410.101.128.0/1710.101.128.1 to 10.101.255.25410.101.255.25532,766
20510.102.0.0/1710.102.0.1 to 10.102.127.25410.102.127.25532,766
20610.102.128.0/1710.102.128.1 to 10.102.255.25410.102.255.25532,766
20710.103.0.0/1710.103.0.1 to 10.103.127.25410.103.127.25532,766
20810.103.128.0/1710.103.128.1 to 10.103.255.25410.103.255.25532,766
20910.104.0.0/1710.104.0.1 to 10.104.127.25410.104.127.25532,766
21010.104.128.0/1710.104.128.1 to 10.104.255.25410.104.255.25532,766
21110.105.0.0/1710.105.0.1 to 10.105.127.25410.105.127.25532,766
21210.105.128.0/1710.105.128.1 to 10.105.255.25410.105.255.25532,766
21310.106.0.0/1710.106.0.1 to 10.106.127.25410.106.127.25532,766
21410.106.128.0/1710.106.128.1 to 10.106.255.25410.106.255.25532,766
21510.107.0.0/1710.107.0.1 to 10.107.127.25410.107.127.25532,766
21610.107.128.0/1710.107.128.1 to 10.107.255.25410.107.255.25532,766
21710.108.0.0/1710.108.0.1 to 10.108.127.25410.108.127.25532,766
21810.108.128.0/1710.108.128.1 to 10.108.255.25410.108.255.25532,766
21910.109.0.0/1710.109.0.1 to 10.109.127.25410.109.127.25532,766
22010.109.128.0/1710.109.128.1 to 10.109.255.25410.109.255.25532,766
22110.110.0.0/1710.110.0.1 to 10.110.127.25410.110.127.25532,766
22210.110.128.0/1710.110.128.1 to 10.110.255.25410.110.255.25532,766
22310.111.0.0/1710.111.0.1 to 10.111.127.25410.111.127.25532,766
22410.111.128.0/1710.111.128.1 to 10.111.255.25410.111.255.25532,766
22510.112.0.0/1710.112.0.1 to 10.112.127.25410.112.127.25532,766
22610.112.128.0/1710.112.128.1 to 10.112.255.25410.112.255.25532,766
22710.113.0.0/1710.113.0.1 to 10.113.127.25410.113.127.25532,766
22810.113.128.0/1710.113.128.1 to 10.113.255.25410.113.255.25532,766
22910.114.0.0/1710.114.0.1 to 10.114.127.25410.114.127.25532,766
23010.114.128.0/1710.114.128.1 to 10.114.255.25410.114.255.25532,766
23110.115.0.0/1710.115.0.1 to 10.115.127.25410.115.127.25532,766
23210.115.128.0/1710.115.128.1 to 10.115.255.25410.115.255.25532,766
23310.116.0.0/1710.116.0.1 to 10.116.127.25410.116.127.25532,766
23410.116.128.0/1710.116.128.1 to 10.116.255.25410.116.255.25532,766
23510.117.0.0/1710.117.0.1 to 10.117.127.25410.117.127.25532,766
23610.117.128.0/1710.117.128.1 to 10.117.255.25410.117.255.25532,766
23710.118.0.0/1710.118.0.1 to 10.118.127.25410.118.127.25532,766
23810.118.128.0/1710.118.128.1 to 10.118.255.25410.118.255.25532,766
23910.119.0.0/1710.119.0.1 to 10.119.127.25410.119.127.25532,766
24010.119.128.0/1710.119.128.1 to 10.119.255.25410.119.255.25532,766
24110.120.0.0/1710.120.0.1 to 10.120.127.25410.120.127.25532,766
24210.120.128.0/1710.120.128.1 to 10.120.255.25410.120.255.25532,766
24310.121.0.0/1710.121.0.1 to 10.121.127.25410.121.127.25532,766
24410.121.128.0/1710.121.128.1 to 10.121.255.25410.121.255.25532,766
24510.122.0.0/1710.122.0.1 to 10.122.127.25410.122.127.25532,766
24610.122.128.0/1710.122.128.1 to 10.122.255.25410.122.255.25532,766
24710.123.0.0/1710.123.0.1 to 10.123.127.25410.123.127.25532,766
24810.123.128.0/1710.123.128.1 to 10.123.255.25410.123.255.25532,766
24910.124.0.0/1710.124.0.1 to 10.124.127.25410.124.127.25532,766
25010.124.128.0/1710.124.128.1 to 10.124.255.25410.124.255.25532,766
25110.125.0.0/1710.125.0.1 to 10.125.127.25410.125.127.25532,766
25210.125.128.0/1710.125.128.1 to 10.125.255.25410.125.255.25532,766
25310.126.0.0/1710.126.0.1 to 10.126.127.25410.126.127.25532,766
25410.126.128.0/1710.126.128.1 to 10.126.255.25410.126.255.25532,766
25510.127.0.0/1710.127.0.1 to 10.127.127.25410.127.127.25532,766
25610.127.128.0/1710.127.128.1 to 10.127.255.25410.127.255.25532,766

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses